"use strict";

var _chai = require("chai");

var _items = require("../items");

var _constants = require("@instructure/quiz-common/lib/constants");

describe('items actions creators', function () {
  it('returns a addItems action', function () {
    var items = [{
      id: 1,
      title: 'quiz item 1'
    }, {
      id: 2,
      title: 'quiz item 2'
    }];
    var addItemAction = (0, _items.addItems)(items);
    var expectedAction = {
      type: _constants.ADD_ITEMS,
      payload: items
    };
    (0, _chai.expect)(addItemAction).to.deep.equal(expectedAction);
  });
});